class_name HealthPickup
extends Interactable


onready var health_icon: AnimatedSprite = $AnimatedSprite

func trigger_interaction():
	# This is something that should maybe be extended for every differant interactible.
	# They could inherit from this base class and implement this function. 
#	sprite.frame = 1
	queue_free()

